# Class CIM_Group
extends CIM_Collection

The Group class is used to collect ManagedElements that are intended to be conformant with an LDAP GroupOfNames, as defined by IETF RFC 2256. For other purposes, ConcreteCollection, or other subclasses of Collection, may be more appropriate. This class is defined so as to incorporate commonly-used LDAP attributes to permit implementations to easily derive this information from LDAP-accessible directories. This class's properties are a subset of a related class, OtherGroupInformation, which defines all the group properties and in array form for directory compatibility.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_Group

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

The Group class is used to collect ManagedElements that are intended to be conformant with an LDAP GroupOfNames, as defined by IETF RFC 2256. For other purposes, ConcreteCollection, or other subclasses of Collection, may be more appropriate. This class is defined so as to incorporate commonly-used LDAP attributes to permit implementations to easily derive this information from LDAP-accessible directories. This class's properties are a subset of a related class, OtherGroupInformation, which defines all the group properties and in array form for directory compatibility.

MappingStrings | string | RFC2407.IETF|Section 7.10 GroupOfNames
UMLPackagePath | string | CIM::User::Group
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
BusinessCategory | string |
Description | string | The BusinessCategory property may be used to describe the kind of business activity performed by the members of the group.
MaxLen | uint32 | 128
CommonName | string |
Description | string | A Common Name is a (possibly ambiguous) name by which the group is commonly known in some limited scope (such as an organization) and conforms to the naming conventions of the country or culture with which it is associated.
Required | boolean | true
CreationClassName | string |
Description | string | CreationClassName indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, this property allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
MaxLen | uint32 | 256
Name | string |
Description | string | The Name property defines the label by which the object is known. In the case of an LDAP-derived instance, the Name property value may be set to the distinguished name of the LDAP-accessed object instance.
Key | boolean | true
MaxLen | uint32 | 1024

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods